<?php

if (!function_exists('daily_diary_customize_panel_function')) {

	function daily_diary_customize_panel_function() {

		$theme_panel = array (

			/* Daily Diary support section
			========================================================================== */

			array(

				'title' => esc_html__( 'Upgrade to Daily Diary Pro','daily-diary'),
				'id' => 'daily-diary-customize-info',
				'type' => 'daily-diary-customize-info',
				'section' => 'daily-diary-customize-info',
				'priority' => '08',

			),

			/**
			* Site identity > Hide Tagline option
			*/

			array(

				'label' => esc_html__( 'Hide Tagline','daily-diary'),
				'description' => esc_html__( 'Do you want to hide the tagline?','daily-diary'),
				'id' => 'daily_diary_hide_tagline',
				'type' => 'checkbox',
				'section' => 'title_tagline',
				'std' => true,

			),

			/**
			* Colors > Logo text color option
			*/

			array(

				'label' => esc_html__('Logo text color','daily-diary'),
				'description' => esc_html__('Choose your custom color for the logo.','daily-diary'),
				'id' => 'daily_diary_logo_text_color',
				'type' => 'color',
				'section' => 'colors',
				'std' => '#616161',
			),

			/* Daily Diary Main Settings panel
			========================================================================== */

			array(

				'title' => esc_html__( 'Daily Diary Main Settings','daily-diary'),
				'description' => esc_html__( 'Daily Diary Main Settings','daily-diary'),
				'type' => 'panel',
				'id' => 'general_panel',
				'priority' => '10',

			),

			/* Daily Diary Main Settings panel > Color Scheme section
			========================================================================== */

			array(

				'title' => esc_html__( 'Color Scheme','daily-diary'),
				'description' => esc_html__( 'From this section you can manage the color scheme of Daily Diary.','daily-diary'),
				'type' => 'section',
				'panel' => 'general_panel',
				'priority' => '11',
				'id' => 'colorscheme_section',

			),

			/**
			* Daily Diary Main Settings panel > Color Scheme section > Body Color Schemes option
			*/

			array(

				'label' => esc_html__( 'Body Color Schemes','daily-diary'),
				'description' => esc_html__('Choose your body color scheme.','daily-diary'),
				'id' => 'daily_diary_skin',
				'type' => 'select',
				'section' => 'colorscheme_section',
				'options' => array (
				   'cyan' => esc_html__( 'Cyan','daily-diary'),
				   'orange' => esc_html__( 'Orange','daily-diary'),
				   'blue' => esc_html__( 'Blue','daily-diary'),
				   'red' => esc_html__( 'Red','daily-diary'),
				   'pink' => esc_html__( 'Pink','daily-diary'),
				   'purple' => esc_html__( 'Purple','daily-diary'),
				   'yellow' => esc_html__( 'Yellow','daily-diary'),
				   'green' => esc_html__( 'Green','daily-diary'),
				   'black' => esc_html__( 'Black','daily-diary'),
				   'clean-yellow' => esc_html__( 'Clean Yellow','daily-diary'),
				   'clean-red' => esc_html__( 'Clean Red','daily-diary'),
				   'clean-turquoise' => esc_html__( 'Clean Turquoise','daily-diary'),
				   'clean-green' => esc_html__( 'Clean Green','daily-diary'),
				   'clean-blue' => esc_html__( 'Clean Blue','daily-diary'),
				   'clean-pink' => esc_html__( 'Clean Pink','daily-diary'),
				),

				'std' => 'orange',

			),

			/* Daily Diary Main Settings panel > Newsticker section
			========================================================================== */

			array(

				'title' => esc_html__( 'Newsticker section','daily-diary'),
				'description' => esc_html__( 'From this section you can manage the newsticker.','daily-diary'),
				'type' => 'section',
				'id' => 'newsticker_section',
				'panel' => 'general_panel',
				'priority' => '13',

			),

			/**
			* Daily Diary Main Settings panel > Newsticker section > Enable the newsticker option
			*/

			array(

				'label' => esc_html__( 'Enable the newsticker','daily-diary'),
				'description' => esc_html__( 'Do you want to enable the newsticker?','daily-diary'),
				'id' => 'daily_diary_enable_newsticker_section',
				'type' => 'checkbox',
				'section' => 'newsticker_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > Newsticker section > News ticker title option
			*/

			array(

				'label' => esc_html__( 'News ticker title','daily-diary'),
				'description' => esc_html__( 'Insert the title for the news ticker','daily-diary'),
				'id' => 'daily_diary_news_ticker_title',
				'type' => 'text',
				'section' => 'newsticker_section',
				'std' => esc_html__( 'HOT', 'daily-diary'),

			),

			/**
			* Daily Diary Main Settings panel > Newsticker section > News ticker category option
			*/

			array(

				'label' => esc_html__('News ticker category','daily-diary'),
				'description' => esc_html__('Please select the category of the news ticker','daily-diary'),
				'id' => 'daily_diary_news_ticker_category',
				'type' => 'select',
				'section' => 'newsticker_section',
				'options' => daily_diary_get_categories(),
				'std' => 'all',

			),

			/**
			* Daily Diary Main Settings panel > Newsticker section > News ticker orderby option
			*/

			array(
				'label' => esc_html__('News ticker orderby','daily-diary'),
				'description' => esc_html__('How you want to order the articles?','daily-diary'),
				'id' => 'daily_diary_news_ticker_order',
				'type' => 'select',
				'section' => 'newsticker_section',
				'options' => array (
					'title' => esc_html__( 'Post title','daily-diary'),
					'rand' => esc_html__( 'Randomly','daily-diary'),
					'comment_count' => esc_html__( 'Comment count','daily-diary'),
					'date' => esc_html__( 'Post date','daily-diary'),
				 ),
				 'std' => 'date',
			),

			/**
			* Daily Diary Main Settings panel > Newsticker section > News ticker sort order option
			*/

			array(
				'label' => esc_html__('News ticker sort order','daily-diary'),
				'description' => esc_html__('Select the order of the articles','daily-diary'),
				'id' => 'daily_diary_news_ticker_sort_order',
				'type' => 'select',
				'section' => 'newsticker_section',
				'options' => array (
					'asc' => esc_html__( 'Ascending','daily-diary'),
					'desc' => esc_html__( 'Descending','daily-diary'),
				 ),
				 'std' => 'desc',
			),

			/**
			* Daily Diary Main Settings panel > Newsticker section > News ticker limit option
			*/

			array(

				'label' => esc_html__( 'News ticker limit','daily-diary'),
				'description' => esc_html__( 'Please set the limit of the news ticker','daily-diary'),
				'id' => 'daily_diary_news_ticker_limit',
				'type' => 'number',
				'input_attrs' => array(
					'min' => -1,
				),
				'section' => 'newsticker_section',
				'std' => '-1',

			),

			/* Daily Diary Main Settings panel > Topbar section
			========================================================================== */

			array(

				'title' => esc_html__( 'Topbar section','daily-diary'),
				'description' => esc_html__( 'From this section you can manage the topbar.','daily-diary'),
				'type' => 'section',
				'id' => 'topbar_section',
				'panel' => 'general_panel',
				'priority' => '13',

			),

			/**
			* Daily Diary Main Settings panel > Topbar section > Left columns option
			*/

			array(

				'label' => esc_html__('Left columns','daily-diary'),
				'description' => esc_html__('Select the element to show on left column','daily-diary'),
				'id' => 'daily_diary_topbar_leftcolumn',
				'type' => 'select',
				'section' => 'topbar_section',
				'options' => array (
					'current_date' => esc_html__( 'Show the current date','daily-diary'),
					'social_icons' => esc_html__( 'Show the social icons','daily-diary'),
				 ),
				 'std' => 'current_date',

			),

			/**
			* Daily Diary Main Settings panel > Topbar section > Date format option
			*/

			array(

				'label' => esc_html__( 'Date format','daily-diary'),
				'description' => sprintf( wp_kses( __( '<a href="%s" target="_blank">To format the date, please refer to the online documentation for detailed instructions</a>.', 'daily-diary' ), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://wordpress.org/support/article/formatting-date-and-time' ) ),
				'id' => 'daily_diary_topbar_date_format',
				'type' => 'dateformat',
				'section' => 'topbar_section',
				'std' => 'l, F j Y',

			),

			/* Daily Diary Main Settings panel > Recent posts grid section
			========================================================================== */

			array(

				'title' => esc_html__( 'Recent posts grid','daily-diary'),
				'description' => esc_html__( 'From this section you can manage recent posts grid on the homepage.','daily-diary'),
				'type' => 'section',
				'id' => 'recent_posts_grid_section',
				'panel' => 'general_panel',
				'priority' => '13',

			),

			/**
			* Daily Diary Main Settings panel > Recent posts grid section > Recent Posts Grid option
			*/

			array(

				'label' => esc_html__( 'Recent Posts Grid', 'daily-diary' ),
				'description' => esc_html__( 'Do you want to enable the recent posts grid on the homepage?', 'daily-diary' ),
				'id' => 'daily_diary_enable_recent_posts',
				'type' => 'checkbox',
				'section' => 'recent_posts_grid_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > Recent posts grid section > Recent posts only on the first page of pagination option
			*/

			array(

				'label' => esc_html__( 'Recent posts only on the first page of pagination', 'daily-diary' ),
				'description' => esc_html__( 'Do you want to show the recent posts grid only on the first page of pagination on your homepage? Enable this option to display the recent posts grid exclusively on the first page.', 'daily-diary' ),
				'id' => 'daily_diary_enable_recent_posts_only_first_page_pagination',
				'type' => 'checkbox',
				'section' => 'recent_posts_grid_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > Recent posts grid section > Exclude Recent Posts option
			*/

			array(

				'label' => esc_html__( 'Exclude Recent Posts', 'daily-diary' ),
				'description' => esc_html__( 'Do you want to exclude the recent posts from the main homepage article loop (if the recent posts grid is enabled)?', 'daily-diary' ),
				'id' => 'daily_diary_exclude_recent_posts_on_loop',
				'type' => 'checkbox',
				'section' => 'recent_posts_grid_section',
				'std' => false,

			),

			/* Daily Diary Main Settings panel > Trending posts section
			========================================================================== */

			array(

				'title' => esc_html__( 'Trending posts grid','daily-diary'),
				'description' => esc_html__( 'From this section you can manage trending posts grid on the homepage.','daily-diary'),
				'type' => 'section',
				'id' => 'trending_posts_section',
				'panel' => 'general_panel',
				'priority' => '13',

			),

			/**
			* Daily Diary Main Settings panel > Trending posts section > Trending Posts option
			*/

			array(

				'label' => esc_html__( 'Trending Posts', 'daily-diary' ),
				'description' => esc_html__( 'Do you want to enable the trending posts on the homepage?', 'daily-diary' ),
				'id' => 'daily_diary_enable_trending_posts',
				'type' => 'checkbox',
				'section' => 'trending_posts_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > Trending Posts section > Trending Posts only on the first page of pagination option
			*/

			array(

				'label' => esc_html__( 'Trending Posts only on the first page of pagination', 'daily-diary' ),
				'description' => esc_html__( 'Do you want to show the trending posts only on the first page of pagination on your homepage? Enable this option to display the trending posts exclusively on the first page.', 'daily-diary' ),
				'id' => 'daily_diary_enable_trending_posts_only_first_page_pagination',
				'type' => 'checkbox',
				'section' => 'trending_posts_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > Trending posts section > Trending posts section title option
			*/

			array(

				'label' => esc_html__( 'Trending posts section title','daily-diary'),
				'description' => esc_html__( 'Insert the title of trending posts section','daily-diary'),
				'id' => 'daily_diary_trending_posts_section_title',
				'type' => 'text',
				'section' => 'trending_posts_section',
				'std' => esc_html__( 'Trending Posts', 'daily-diary' )

			),

			/**
			* Daily Diary Main Settings panel > Trending posts section > Trending posts category option
			*/

			array(

				'label' => esc_html__('Trending posts category','daily-diary'),
				'description' => esc_html__('Please select the category of trending posts section','daily-diary'),
				'id' => 'daily_diary_trending_posts_category',
				'type' => 'select',
				'section' => 'trending_posts_section',
				'options' => daily_diary_get_categories(),
				'std' => 'all',

			),

			/**
			* Daily Diary Main Settings panel > Trending posts section > Trending posts orderby option
			*/

			array(

				'label' => esc_html__('Trending posts orderby','daily-diary'),
				'description' => esc_html__('Select the icon for WooCommerce header cart (Please clear the cookies to display the new icon)','daily-diary'),
				'id' => 'daily_diary_trending_posts_orderby',
				'type' => 'select',
				'section' => 'trending_posts_section',
				'options' => array (
					'ID' => esc_html__( 'ID','daily-diary'),
					'author' => esc_html__( 'Author','daily-diary'),
					'title' => esc_html__( 'Post title','daily-diary'),
					'date' => esc_html__( 'Date','daily-diary'),
					'comment_count' => esc_html__( 'Number of comments','daily-diary'),
				 ),
				 'std' => 'comment_count',

			),

			/* Daily Diary Main Settings panel > General settings section
			========================================================================== */

			array(

				'title' => esc_html__( 'General settings','daily-diary'),
				'description' => esc_html__( 'From this section you can manage the general settings of Daily Diary.','daily-diary'),
				'type' => 'section',
				'id' => 'settings_section',
				'panel' => 'general_panel',
				'priority' => '13',

			),
			
			/**
			* Daily Diary Main Settings panel > General settings section > Scrollable sidebar menu on desktop option
			*/

			array(

				'label' => esc_html__( 'Scrollable sidebar menu on desktop','daily-diary'),
				'description' => esc_html__( 'Do you want to display the menu within the scrollable sidebar on desktop devices as well?','daily-diary'),
				'id' => 'daily_diary_scrollable_menu_on_desktop',
				'type' => 'checkbox',
				'section' => 'settings_section',
				'std' => false,

			),

			/**
			* Daily Diary Main Settings panel > General settings section > Enable the breadcrumb option
			*/

			array(

				'label' => esc_html__( 'Enable the breadcrumb','daily-diary'),
				'description' => esc_html__( 'Do you want to enable the breadcrumb on whole website (except the homepage)?','daily-diary'),
				'id' => 'daily_diary_enable_breadcrumb',
				'type' => 'checkbox',
				'section' => 'settings_section',
				'std' => false,

			),

			/**
			* Daily Diary Main Settings panel > General settings section > Category title option
			*/

			array(

				'label' => esc_html__( 'Category title','daily-diary'),
				'description' => esc_html__( 'Do you want to display the current category title on archive pages?','daily-diary'),
				'id' => 'daily_diary_enable_category_title',
				'type' => 'checkbox',
				'section' => 'settings_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > General settings section > Searched item option
			*/

			array(

				'label' => esc_html__( 'Searched item','daily-diary'),
				'description' => esc_html__( 'Do you want to enable the searched item on the search result pages?','daily-diary'),
				'id' => 'daily_diary_enable_searched_item',
				'type' => 'checkbox',
				'section' => 'settings_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > General settings section > Back to top button option
			*/

			array(

				'label' => esc_html__( 'Back to top button','daily-diary'),
				'description' => esc_html__( 'Do you want to enable a button to back on the top of the site?','daily-diary'),
				'id' => 'daily_diary_enable_backtotop_button',
				'type' => 'checkbox',
				'section' => 'settings_section',
				'std' => true,

			),

			/* Daily Diary Main Settings panel > Single posts settings section
			========================================================================== */

			array(

				'title' => esc_html__( 'Single posts settings','daily-diary'),
				'description' => esc_html__( 'From this section, you can manage (show or hide) various elements within individual posts, such as the category, publication date, author, etc.','daily-diary'),
				'type' => 'section',
				'id' => 'single_posts_settings_section',
				'panel' => 'general_panel',
				'priority' => '13',

			),

			/**
			* Daily Diary Main Settings panel > Single posts settings section > Show categories option
			*/

			array(

				'label' => esc_html__( 'Show categories','daily-diary'),
				'description' => esc_html__( 'Do you want to enable the post categories?','daily-diary'),
				'id' => 'daily_diary_enable_post_category',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > Single posts settings section > Show post icon option
			*/

			array(

				'label' => esc_html__( 'Show post icon','daily-diary'),
				'description' => esc_html__( 'Do you want to enable the post icon?','daily-diary'),
				'id' => 'daily_diary_enable_post_icon',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > Single posts settings section > Show author option
			*/

			array(

				'label' => esc_html__( 'Show author','daily-diary'),
				'description' => esc_html__( 'Do you want to enable the author name?','daily-diary'),
				'id' => 'daily_diary_enable_post_author',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > Single posts settings section > Show date option
			*/

			array(

				'label' => esc_html__( 'Show date','daily-diary'),
				'description' => esc_html__( 'Do you want to enable the post date?','daily-diary'),
				'id' => 'daily_diary_enable_post_date',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > Single posts settings section > Related posts option
			*/

			array(

				'label' => esc_html__( 'Related posts','daily-diary'),
				'description' => esc_html__( 'Do you want to display the related posts at the end of each article?','daily-diary'),
				'id' => 'daily_diary_enable_related_posts',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > Single posts settings section > Post author info box option
			*/

			array(

				'label' => esc_html__( 'Post author info box','daily-diary'),
				'description' => esc_html__( 'Do you want to display the post author info box below the content? (Important, the biographical info must be added from the user settings)','daily-diary'),
				'id' => 'daily_diary_enable_author_info_box',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => false,

			),

			/**
			* Daily Diary Main Settings panel > Single posts settings section > Post Format option
			*/

			array(

				'label' => esc_html__( 'Post Format','daily-diary'),
				'description' => esc_html__( 'Do you want to use a different layout for the Aside, Link and Quote posts?','daily-diary'),
				'id' => 'daily_diary_enable_post_format_layout',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => true,

			),

			/* Daily Diary Main Settings panel > WooCommerce settings
			========================================================================== */

			array(

				'title' => esc_html__( 'WooCommerce settings','daily-diary'),
				'description' => esc_html__( 'From this section you can manage the settings of WooCommerce.','daily-diary'),
				'type' => 'section',
				'id' => 'woocommerce_section',
				'panel' => 'general_panel',
				'priority' => '25',

			),

			/**
			* Daily Diary Main Settings panel > WooCommerce settings section > WooCommerce header cart option
			*/

			array(

				'label' => esc_html__('WooCommerce header cart','daily-diary'),
				'description' => esc_html__('Do you want to show the header cart?','daily-diary'),
				'id' => 'daily_diary_enable_woocommerce_header_cart',
				'type' => 'checkbox',
				'section' => 'woocommerce_section',
				'std' => true,

			),

			/**
			* Daily Diary Main Settings panel > WooCommerce settings section > WooCommerce header cart icon option
			*/

			array(

				'label' => esc_html__('WooCommerce header cart icon','daily-diary'),
				'description' => esc_html__('Select the icon for WooCommerce header cart (Please clear the cookies to display the new icon)','daily-diary'),
				'id' => 'daily_diary_woocommerce_header_icon',
				'type' => 'select',
				'section' => 'woocommerce_section',
				'options' => array (
				   'fa-shopping-basket' => esc_html__( 'Icon 1','daily-diary'),
				   'fa-shopping-cart' => esc_html__( 'Icon 2','daily-diary'),
				   'fa-cart-plus' => esc_html__( 'Icon 3','daily-diary'),
				),
				'std' => 'fa-shopping-basket',

			),

			/**
			* Daily Diary Main Settings panel > WooCommerce settings section > Cross sell products option
			*/

			array(

				'label' => esc_html__( 'Cross sell products','daily-diary'),
				'description' => esc_html__( 'Do you want to display the cross sell products on cart page?','daily-diary'),
				'id' => 'daily_diary_enable_woocommerce_cross_sell_cart',
				'type' => 'checkbox',
				'section' => 'woocommerce_section',
				'std' => false,

			),

			/**
			* Daily Diary Main Settings panel > WooCommerce settings section > Related products option
			*/

			array(

				'label' => esc_html__( 'Related products','daily-diary'),
				'description' => esc_html__( 'Do you want to display the related products on product page?','daily-diary'),
				'id' => 'daily_diary_enable_woocommerce_related_products',
				'type' => 'checkbox',
				'section' => 'woocommerce_section',
				'std' => false,

			),

			/**
			* Daily Diary Main Settings panel > WooCommerce settings section > Up sell products option
			*/

			array(

				'label' => esc_html__( 'Up sell products','daily-diary'),
				'description' => esc_html__( 'Do you want to display the up sell products on product page?','daily-diary'),
				'id' => 'daily_diary_enable_woocommerce_upsell_products',
				'type' => 'checkbox',
				'section' => 'woocommerce_section',
				'std' => false,

			),

			/**
			* Daily Diary Main Settings panel > WooCommerce settings section > WooCommerce linkable product thumbnails option
			*/

			array(

				'label' => esc_html__( 'WooCommerce linkable product thumbnails','daily-diary'),
				'description' => esc_html__( 'Do you want to make linkable the product thumbnails on WooCommerce category pages?','daily-diary'),
				'id' => 'daily_diary_enable_woocommerce_linkable_product_thumbnails',
				'type' => 'checkbox',
				'section' => 'woocommerce_section',
				'std' => false,

			),

			/**
			* Daily Diary Main Settings panel > WooCommerce settings section > WooCommerce Category Layout option
			*/

			array(

				'label' => esc_html__('WooCommerce Category Layout','daily-diary'),
				'description' => esc_html__('Select a layout for the woocommerce categories.','daily-diary'),
				'id' => 'daily_diary_woocommerce_category_layout',
				'type' => 'select',
				'section' => 'woocommerce_section',
				'options' => array (
				   'full' => esc_html__( 'Full Width','daily-diary'),
				   'left-sidebar' => esc_html__( 'Left Sidebar','daily-diary'),
				   'right-sidebar' => esc_html__( 'Right Sidebar','daily-diary'),
				),

				'std' => 'right-sidebar',

			),

			/* Daily Diary Featured Links panel
			========================================================================== */

			array(

				'title' => esc_html__( 'Daily Diary Featured Links','daily-diary'),
				'description' => esc_html__( 'Daily Diary Featured Links','daily-diary'),
				'type' => 'panel',
				'id' => 'featured_links_panel',
				'priority' => '10',

			),

			/* Daily Diary Featured Links panel > Featured Link Settings section
			========================================================================== */

			array(

				'title' => esc_html__( 'Featured Link Settings','daily-diary'),
				'description' => esc_html__('Featured Link #1','daily-diary'),
				'type' => 'section',
				'panel' => 'featured_links_panel',
				'priority' => '09',
				'id' => 'featured_links_settings',

			),

			/**
			* Daily Diary Featured Links panel > Featured Link Settings section > Enable the featured links section option
			*/

			array(

				'label' => esc_html__( 'Enable the featured links section','daily-diary'),
				'description' => esc_html__( 'Do you want to display the featured links section, below the homepage slideshow?','daily-diary'),
				'id' => 'daily_diary_enable_featuredlinks_section',
				'type' => 'checkbox',
				'section' => 'featured_links_settings',
				'std' => false,

			),

			/* Daily Diary Featured Links panel > Featured Link #1 section
			========================================================================== */

			array(

				'title' => esc_html__( 'Featured Link #1','daily-diary'),
				'description' => esc_html__('Featured Link #1','daily-diary'),
				'type' => 'section',
				'panel' => 'featured_links_panel',
				'priority' => '10',
				'id' => 'featured_link_1',

			),

			/**
			* Daily Diary Featured Links panel > Featured Link #1 section > Image option
			*/

			array(

				'label' => esc_html__( 'Image','daily-diary'),
				'description' => esc_html__( 'Upload the image','daily-diary'),
				'id' => 'daily_diary_featured_link_1_image',
				'type' => 'upload',
				'section' => 'featured_link_1',
				'std' => '',

			),

			/**
			* Daily Diary Featured Links panel > Featured Link #1 section > Title option
			*/

			array(

				'label' => esc_html__( 'Title','daily-diary'),
				'description' => esc_html__( 'Insert the title of this slide','daily-diary'),
				'id' => 'daily_diary_featured_link_1_title',
				'type' => 'text',
				'section' => 'featured_link_1',
				'std' => '',

			),

			/**
			* Daily Diary Featured Links panel > Featured Link #1 section > Url option
			*/

			array(

				'label' => esc_html__( 'Url','daily-diary'),
				'description' => esc_html__( 'Insert the url of this slide','daily-diary'),
				'id' => 'daily_diary_featured_link_1_url',
				'type' => 'url',
				'section' => 'featured_link_1',
				'std' => '',

			),

			/* Daily Diary Featured Links panel > Featured Link #2 section
			========================================================================== */

			array(

				'title' => esc_html__( 'Featured Link #2','daily-diary'),
				'description' => esc_html__('Featured Link #2','daily-diary'),
				'type' => 'section',
				'panel' => 'featured_links_panel',
				'priority' => '10',
				'id' => 'featured_link_2',

			),

			/**
			* Daily Diary Featured Links panel > Featured Link #2 section > Image option
			*/

			array(

				'label' => esc_html__( 'Image','daily-diary'),
				'description' => esc_html__( 'Upload the image','daily-diary'),
				'id' => 'daily_diary_featured_link_2_image',
				'type' => 'upload',
				'section' => 'featured_link_2',
				'std' => '',

			),

			/**
			* Daily Diary Featured Links panel > Featured Link #2 section > Title option
			*/

			array(

				'label' => esc_html__( 'Title','daily-diary'),
				'description' => esc_html__( 'Insert the title of this slide','daily-diary'),
				'id' => 'daily_diary_featured_link_2_title',
				'type' => 'text',
				'section' => 'featured_link_2',
				'std' => '',

			),

			/**
			* Daily Diary Featured Links panel > Featured Link #2 section > Url option
			*/

			array(

				'label' => esc_html__( 'Url','daily-diary'),
				'description' => esc_html__( 'Insert the url of this slide','daily-diary'),
				'id' => 'daily_diary_featured_link_2_url',
				'type' => 'url',
				'section' => 'featured_link_2',
				'std' => '',

			),

			/* Daily Diary Featured Links panel > Featured Link #3 section
			========================================================================== */

			array(

				'title' => esc_html__( 'Featured Link #3','daily-diary'),
				'description' => esc_html__('Featured Link #3','daily-diary'),
				'type' => 'section',
				'panel' => 'featured_links_panel',
				'priority' => '10',
				'id' => 'featured_link_3',

			),

			/**
			* Daily Diary Featured Links panel > Featured Link #3 section > Image option
			*/

			array(

				'label' => esc_html__( 'Image','daily-diary'),
				'description' => esc_html__( 'Upload the image','daily-diary'),
				'id' => 'daily_diary_featured_link_3_image',
				'type' => 'upload',
				'section' => 'featured_link_3',
				'std' => '',

			),

			/**
			* Daily Diary Featured Links panel > Featured Link #3 section > Title option
			*/

			array(

				'label' => esc_html__( 'Title','daily-diary'),
				'description' => esc_html__( 'Insert the title of this slide','daily-diary'),
				'id' => 'daily_diary_featured_link_3_title',
				'type' => 'text',
				'section' => 'featured_link_3',
				'std' => '',

			),

			/**
			* Daily Diary Featured Links panel > Featured Link #3 section > Url option
			*/

			array(

				'label' => esc_html__( 'Url','daily-diary'),
				'description' => esc_html__( 'Insert the url of this slide','daily-diary'),
				'id' => 'daily_diary_featured_link_3_url',
				'type' => 'url',
				'section' => 'featured_link_3',
				'std' => '',

			),

			/* Daily Diary Main Settings panel > Layouts section
			========================================================================== */

			array(

				'title' => esc_html__( 'Layouts','daily-diary'),
				'description' => esc_html__( 'From this section you can manage the layouts of Daily Diary.','daily-diary'),
				'type' => 'section',
				'id' => 'layouts_section',
				'panel' => 'general_panel',
				'priority' => '16',

			),

			/**
			* Daily Diary Main Settings panel > Layouts section > Home Blog Layout option
			*/

			array(

				'label' => esc_html__('Home Blog Layout','daily-diary'),
				'description' => esc_html__('If you&#39;ve set the latest articles, for the homepage, choose a layout.','daily-diary'),
				'id' => 'daily_diary_home_layout',
				'type' => 'select',
				'section' => 'layouts_section',
				'options' => array (
				   'full' => esc_html__( 'Full Width','daily-diary'),
				   'left-sidebar' => esc_html__( 'Left Sidebar','daily-diary'),
				   'right-sidebar' => esc_html__( 'Right Sidebar','daily-diary'),
				   'col-md-4' => esc_html__( 'Masonry','daily-diary'),
				),

				'std' => 'right-sidebar',

			),

			/**
			* Daily Diary Main Settings panel > Layouts section > Category Layout option
			*/

			array(

				'label' => esc_html__('Category Layout','daily-diary'),
				'description' => esc_html__('Select a layout for category pages.','daily-diary'),
				'id' => 'daily_diary_category_layout',
				'type' => 'select',
				'section' => 'layouts_section',
				'options' => array (
				   'full' => esc_html__( 'Full Width','daily-diary'),
				   'left-sidebar' => esc_html__( 'Left Sidebar','daily-diary'),
				   'right-sidebar' => esc_html__( 'Right Sidebar','daily-diary'),
				   'col-md-4' => esc_html__( 'Masonry','daily-diary'),
				),

				'std' => 'right-sidebar',

			),

			/**
			* Daily Diary Main Settings panel > Layouts section > Search Layout option
			*/

			array(

				'label' => esc_html__('Search Layout','daily-diary'),
				'description' => esc_html__('Select a layout for the search section.','daily-diary'),
				'id' => 'daily_diary_search_layout',
				'type' => 'select',
				'section' => 'layouts_section',
				'options' => array (
				   'full' => esc_html__( 'Full Width','daily-diary'),
				   'left-sidebar' => esc_html__( 'Left Sidebar','daily-diary'),
				   'right-sidebar' => esc_html__( 'Right Sidebar','daily-diary'),
				   'col-md-4' => esc_html__( 'Masonry','daily-diary'),
				),

				'std' => 'right-sidebar',

			),

			/* Daily Diary Main Settings panel > Social Links and Footer section
			========================================================================== */

			array(

				'title' => esc_html__( 'Social Links and Footer','daily-diary'),
				'description' => esc_html__( 'From this section you can manage the social icons and the copyright text.','daily-diary'),
				'type' => 'section',
				'id' => 'footer_section',
				'panel' => 'general_panel',
				'priority' => '17',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Copyright Text option
			*/

			array(

				'label' => esc_html__( 'Copyright Text','daily-diary'),
				'description' => esc_html__( 'Insert your copyright text.','daily-diary'),
				'id' => 'daily_diary_copyright_text',
				'type' => 'textarea',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Facebook Url option
			*/

			array(

				'label' => esc_html__( 'Facebook Url','daily-diary'),
				'description' => esc_html__( 'Insert Facebook Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_facebook_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > X Url option
			*/

			array(

				'label' => esc_html__( 'X Url','daily-diary'),
				'description' => esc_html__( 'Insert X (Twitter) Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_x_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Flickr Url option
			*/

			array(

				'label' => esc_html__( 'Flickr Url','daily-diary'),
				'description' => esc_html__( 'Insert Flickr Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_flickr_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Linkedin Url option
			*/

			array(

				'label' => esc_html__( 'Linkedin Url','daily-diary'),
				'description' => esc_html__( 'Insert Linkedin Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_linkedin_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Slack Url option
			*/

			array(

				'label' => esc_html__( 'Slack Url','daily-diary'),
				'description' => esc_html__( 'Insert Slack Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_slack_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Pinterest Url option
			*/

			array(

				'label' => esc_html__( 'Pinterest Url','daily-diary'),
				'description' => esc_html__( 'Insert Pinterest Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_pinterest_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Tumblr Url option
			*/

			array(

				'label' => esc_html__( 'Tumblr Url','daily-diary'),
				'description' => esc_html__( 'Insert Tumblr Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_tumblr_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Soundcloud Url option
			*/

			array(

				'label' => esc_html__( 'Soundcloud Url','daily-diary'),
				'description' => esc_html__( 'Insert Soundcloud Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_soundcloud_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Spotify Url option
			*/

			array(

				'label' => esc_html__( 'Spotify Url','daily-diary'),
				'description' => esc_html__( 'Insert Spotify Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_spotify_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Youtube Url option
			*/

			array(

				'label' => esc_html__( 'Youtube Url','daily-diary'),
				'description' => esc_html__( 'Insert Youtube Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_youtube_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Vimeo Url option
			*/

			array(

				'label' => esc_html__( 'Vimeo Url','daily-diary'),
				'description' => esc_html__( 'Insert Vimeo Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_vimeo_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > VK Url option
			*/

			array(

				'label' => esc_html__( 'VK Url','daily-diary'),
				'description' => esc_html__( 'Insert VK Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_vk_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Instagram Url option
			*/

			array(

				'label' => esc_html__( 'Instagram Url','daily-diary'),
				'description' => esc_html__( 'Insert Instagram Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_instagram_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Deviantart Url option
			*/

			array(

				'label' => esc_html__( 'Deviantart Url','daily-diary'),
				'description' => esc_html__( 'Insert Deviantart Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_deviantart_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Github Url option
			*/

			array(

				'label' => esc_html__( 'Github Url','daily-diary'),
				'description' => esc_html__( 'Insert Github Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_github_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Xing Url option
			*/

			array(

				'label' => esc_html__( 'Xing Url','daily-diary'),
				'description' => esc_html__( 'Insert Xing Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_xing_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Dribbble Url option
			*/

			array(

				'label' => esc_html__( 'Dribbble Url','daily-diary'),
				'description' => esc_html__( 'Insert Dribbble Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_dribbble_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Dropbox Url option
			*/

			array(

				'label' => esc_html__( 'Dropbox Url','daily-diary'),
				'description' => esc_html__( 'Insert Dropbox Url (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_dropbox_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Whatsapp Number option
			*/

			array(

				'label' => esc_html__( 'Whatsapp Number','daily-diary'),
				'description' => esc_html__( 'Insert Whatsapp number (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_whatsapp_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Telegram Account option
			*/

			array(

				'label' => esc_html__( 'Telegram Account','daily-diary'),
				'description' => esc_html__( 'Insert Telegram Account (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_telegram_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Trello Account option
			*/

			array(

				'label' => esc_html__( 'Trello Account','daily-diary'),
				'description' => esc_html__( 'Insert Trello Account (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_trello_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Twitch Account option
			*/

			array(

				'label' => esc_html__( 'Twitch Account','daily-diary'),
				'description' => esc_html__( 'Insert Twitch Account (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_twitch_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Tripadvisor Account option
			*/

			array(

				'label' => esc_html__( 'Tripadvisor Account','daily-diary'),
				'description' => esc_html__( 'Insert Tripadvisor Account (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_tripadvisor_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Vine Account option
			*/

			array(

				'label' => esc_html__( 'Vine Account','daily-diary'),
				'description' => esc_html__( 'Insert Vine Account (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_vine_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Skype Url option
			*/

			array(

				'label' => esc_html__( 'Skype Url','daily-diary'),
				'description' => esc_html__( 'Insert Skype ID (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_skype_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Email Address option
			*/

			array(

				'label' => esc_html__( 'Email Address','daily-diary'),
				'description' => esc_html__( 'Insert Email Address (leave empty if you want to hide the button)','daily-diary'),
				'id' => 'daily_diary_footer_email_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			/**
			* Daily Diary Main Settings panel > Social Links and Footer section > Feed Rss Button option
			*/

			array(

				'label' => esc_html__( 'Feed Rss Button','daily-diary'),
				'description' => esc_html__( 'Do you want to display the Feed Rss button?','daily-diary'),
				'id' => 'daily_diary_footer_rss_button',
				'type' => 'select',
				'section' => 'footer_section',
				'options' => array (
				   'off' => esc_html__( 'No','daily-diary'),
				   'on' => esc_html__( 'Yes','daily-diary'),
				),

				'std' => 'off',

			),

			/* Daily Diary Typography panel
			========================================================================== */

			array(

				'title' => esc_html__( 'Daily Diary Typography','daily-diary'),
				'description' => esc_html__( 'Daily Diary Typography','daily-diary'),
				'type' => 'panel',
				'id' => 'typography_panel',
				'priority' => '11',

			),

			/* Daily Diary Typography panel > Logo section
			========================================================================== */

			array(

				'title' => esc_html__( 'Logo','daily-diary'),
				'description' => esc_html__( 'From this section you can manage the typography of the logo.','daily-diary'),
				'type' => 'section',
				'id' => 'logo_section',
				'panel' => 'typography_panel',
				'priority' => '10',

			),

			/**
			* Daily Diary Typography panel > Logo section > Font size option
			*/

			array(

				'label' => esc_html__( 'Font size','daily-diary'),
				'description' => esc_html__( 'Insert a size, for logo font (For example, 60px) ','daily-diary'),
				'id' => 'daily_diary_logo_font_size',
				'type' => 'pixel_size',
				'section' => 'logo_section',
				'std' => '50px',

			),

			/**
			* Daily Diary Typography panel > Logo section > Description font size option
			*/

			array(

				'label' => esc_html__( 'Description font size','daily-diary'),
				'description' => esc_html__( 'Insert a size, for logo description (For example, 14px) ','daily-diary'),
				'id' => 'daily_diary_logo_description_font_size',
				'type' => 'pixel_size',
				'section' => 'logo_section',
				'std' => '14px',

			),

			/**
			* Daily Diary Typography panel > Logo section > Description top margin option
			*/

			array(

				'label' => esc_html__( 'Description top margin','daily-diary'),
				'description' => esc_html__( 'Add a space between the logo and the description (For example, 15px) ','daily-diary'),
				'id' => 'daily_diary_logo_description_top_margin',
				'type' => 'pixel_size',
				'section' => 'logo_section',
				'std' => '10px',

			),

			/**
			* Daily Diary Typography panel > Logo section > Weight option
			*/

			array(

				'label' => esc_html__('Weight','daily-diary'),
				'description' => esc_html__('Choose a font weight for the logo.','daily-diary'),
				'id' => 'daily_diary_logo_font_weight',
				'type' => 'select',
				'section' => 'logo_section',
				'options' => array(
					'100' => esc_html__( '100','daily-diary'),
					'200' => esc_html__( '200','daily-diary'),
					'300' => esc_html__( '300','daily-diary'),
					'400' => esc_html__( '400','daily-diary'),
					'500' => esc_html__( '500','daily-diary'),
					'600' => esc_html__( '600','daily-diary'),
					'700' => esc_html__( '700','daily-diary'),
					'800' => esc_html__( '800','daily-diary'),
					'900' => esc_html__( '900','daily-diary'),
				),

				'std' => '500',

			),

			/**
			* Daily Diary Typography panel > Logo section > Text transform option
			*/

			array(

				'label' => esc_html__('Text transform','daily-diary'),
				'description' => esc_html__('Do you want to display an uppercase logo?.','daily-diary'),
				'id' => 'daily_diary_logo_text_transform',
				'type' => 'select',
				'section' => 'logo_section',
				'options' => array(
					'none' => esc_html__( 'None','daily-diary'),
					'uppercase' => esc_html__( 'Uppercase','daily-diary'),
				),

				'std' => 'none',

			),

			/* Daily Diary Typography panel > Menu section
			========================================================================== */

			array(

				'title' => esc_html__( 'Menu','daily-diary'),
				'description' => esc_html__( 'From this section you can manage the typography of the menu.','daily-diary'),
				'type' => 'section',
				'id' => 'menu_section',
				'panel' => 'typography_panel',
				'priority' => '11',

			),

			/**
			* Daily Diary Typography panel > Menu section > Font size option
			*/

			array(

				'label' => esc_html__( 'Font size','daily-diary'),
				'description' => esc_html__( 'Insert a size, for menu font (For example, 14px) ','daily-diary'),
				'id' => 'daily_diary_menu_font_size',
				'type' => 'pixel_size',
				'section' => 'menu_section',
				'std' => '16px',

			),

			/**
			* Daily Diary Typography panel > Menu section > Menu weight option
			*/

			array(

				'label' => esc_html__('Menu weight','daily-diary'),
				'description' => esc_html__('Choose a font weight for the menu.','daily-diary'),
				'id' => 'daily_diary_menu_font_weight',
				'type' => 'select',
				'section' => 'menu_section',
				'options' => array(
					'100' => esc_html__( '100','daily-diary'),
					'200' => esc_html__( '200','daily-diary'),
					'300' => esc_html__( '300','daily-diary'),
					'400' => esc_html__( '400','daily-diary'),
					'500' => esc_html__( '500','daily-diary'),
					'600' => esc_html__( '600','daily-diary'),
					'700' => esc_html__( '700','daily-diary'),
					'800' => esc_html__( '800','daily-diary'),
					'900' => esc_html__( '900','daily-diary'),
				),

				'std' => '400',

			),

			/**
			* Daily Diary Typography panel > Menu section > Text transform option
			*/

			array(

				'label' => esc_html__('Text transform','daily-diary'),
				'description' => esc_html__('Do you want to display an uppercase menu?.','daily-diary'),
				'id' => 'daily_diary_menu_text_transform',
				'type' => 'select',
				'section' => 'menu_section',
				'options' => array(
					'none' => esc_html__( 'None','daily-diary'),
					'uppercase' => esc_html__( 'Uppercase','daily-diary'),
				),

				'std' => 'none',

			),

			/* Daily Diary Typography panel > Content section
			========================================================================== */

			array(

				'title' => esc_html__( 'Content','daily-diary'),
				'description' => esc_html__( 'From this section you can manage the typography of the content.','daily-diary'),
				'type' => 'section',
				'id' => 'content_section',
				'panel' => 'typography_panel',
				'priority' => '12',

			),

			/**
			* Daily Diary Typography panel > Content section > Font size option
			*/

			array(

				'label' => esc_html__( 'Font size','daily-diary'),
				'description' => esc_html__( 'Insert a size, for content font (For example, 14px) ','daily-diary'),
				'id' => 'daily_diary_content_font_size',
				'type' => 'pixel_size',
				'section' => 'content_section',
				'std' => '14px',

			),

			/* Daily Diary Typography panel > Headlines section
			========================================================================== */

			array(

				'title' => esc_html__( 'Headlines','daily-diary'),
				'description' => esc_html__( 'From this section you can manage the typography of the headlines.','daily-diary'),
				'type' => 'section',
				'id' => 'headlines_section',
				'panel' => 'typography_panel',
				'priority' => '13',

			),

			/**
			* Daily Diary Typography panel > Headlines section > H1 headline option
			*/

			array(

				'label' => esc_html__( 'H1 headline','daily-diary'),
				'description' => esc_html__( 'Insert a size, for for H1 elements (For example, 24px) ','daily-diary'),
				'id' => 'daily_diary_h1_font_size',
				'type' => 'pixel_size',
				'section' => 'headlines_section',
				'std' => '24px',

			),

			/**
			* Daily Diary Typography panel > Headlines section > H2 headline option
			*/

			array(

				'label' => esc_html__( 'H2 headline','daily-diary'),
				'description' => esc_html__( 'Insert a size, for for H2 elements (For example, 22px) ','daily-diary'),
				'id' => 'daily_diary_h2_font_size',
				'type' => 'pixel_size',
				'section' => 'headlines_section',
				'std' => '22px',

			),

			/**
			* Daily Diary Typography panel > Headlines section > H3 headline option
			*/

			array(

				'label' => esc_html__( 'H3 headline','daily-diary'),
				'description' => esc_html__( 'Insert a size, for for H3 elements (For example, 20px) ','daily-diary'),
				'id' => 'daily_diary_h3_font_size',
				'type' => 'pixel_size',
				'section' => 'headlines_section',
				'std' => '20px',

			),

			/**
			* Daily Diary Typography panel > Headlines section > H4 headline option
			*/

			array(

				'label' => esc_html__( 'H4 headline','daily-diary'),
				'description' => esc_html__( 'Insert a size, for for H4 elements (For example, 18px) ','daily-diary'),
				'id' => 'daily_diary_h4_font_size',
				'type' => 'pixel_size',
				'section' => 'headlines_section',
				'std' => '18px',

			),

			/**
			* Daily Diary Typography panel > Headlines section > H5 headline option
			*/

			array(

				'label' => esc_html__( 'H5 headline','daily-diary'),
				'description' => esc_html__( 'Insert a size, for for H5 elements (For example, 16px) ','daily-diary'),
				'id' => 'daily_diary_h5_font_size',
				'type' => 'pixel_size',
				'section' => 'headlines_section',
				'std' => '16px',

			),

			/**
			* Daily Diary Typography panel > Headlines section > H6 headline option
			*/

			array(

				'label' => esc_html__( 'H6 headline','daily-diary'),
				'description' => esc_html__( 'Insert a size, for for H6 elements (For example, 14px) ','daily-diary'),
				'id' => 'daily_diary_h6_font_size',
				'type' => 'pixel_size',
				'section' => 'headlines_section',
				'std' => '14px',

			),

			/**
			* Daily Diary Typography panel > Headlines section > Titles weight option
			*/

			array(

				'label' => esc_html__('Titles weight','daily-diary'),
				'description' => esc_html__('Choose a font weight for the titles.','daily-diary'),
				'id' => 'daily_diary_titles_font_weight',
				'type' => 'select',
				'section' => 'headlines_section',
				'options' => array(
					'100' => esc_html__( '100','daily-diary'),
					'200' => esc_html__( '200','daily-diary'),
					'300' => esc_html__( '300','daily-diary'),
					'400' => esc_html__( '400','daily-diary'),
					'500' => esc_html__( '500','daily-diary'),
					'600' => esc_html__( '600','daily-diary'),
					'700' => esc_html__( '700','daily-diary'),
					'800' => esc_html__( '800','daily-diary'),
					'900' => esc_html__( '900','daily-diary'),
				),

				'std' => '600',

			),

			/**
			* Daily Diary Typography panel > Headlines section > Text transform option
			*/

			array(

				'label' => esc_html__('Text transform','daily-diary'),
				'description' => esc_html__('Do you want to display an uppercase title?.','daily-diary'),
				'id' => 'daily_diary_titles_text_transform',
				'type' => 'select',
				'section' => 'headlines_section',
				'options' => array(
					'none' => esc_html__( 'None','daily-diary'),
					'uppercase' => esc_html__( 'Uppercase','daily-diary'),
				),

				'std' => 'none',

			),

			/* Daily Diary Typography panel > Post meta section
			========================================================================== */

			array(

				'title' => esc_html__( 'Post meta','daily-diary'),
				'description' => esc_html__( 'From this section, you can manage the typography of the post meta.','daily-diary'),
				'type' => 'section',
				'id' => 'postmeta_section',
				'panel' => 'typography_panel',
				'priority' => '13',

			),

			/**
			* Daily Diary Typography panel > Post meta section > Font size option
			*/

			array(

				'label' => esc_html__( 'Font size','daily-diary'),
				'description' => esc_html__( 'Insert a size for the post meta (e.g., 11px)','daily-diary'),
				'id' => 'daily_diary_postmeta_font_size',
				'type' => 'pixel_size',
				'section' => 'postmeta_section',
				'std' => '11px',

			),

			/**
			* Daily Diary Typography panel > Post meta section > Text transform option
			*/

			array(

				'label' => esc_html__('Text transform','daily-diary'),
				'description' => esc_html__('Do you want to display the post meta in uppercase?','daily-diary'),
				'id' => 'daily_diary_postmeta_text_transform',
				'type' => 'select',
				'section' => 'postmeta_section',
				'options' => array(
					'none' => esc_html__( 'None','daily-diary'),
					'uppercase' => esc_html__( 'Uppercase','daily-diary'),
				),

				'std' => 'uppercase',

			),

		);

		new daily_diary_customize($theme_panel);

	}

	add_action( 'daily_diary_customize_panel', 'daily_diary_customize_panel_function' );

}

do_action('daily_diary_customize_panel');

?>
